Gtk2::Ruler(3)

NAME
Gtk2::Ruler - wrapper for GtkRuler

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Ruler

INTERFACES
  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable
  Gtk2::Orientable

METHODS

  $ruler->draw_pos

  $ruler->draw_ticks

  metrictype = $ruler->get_metric

  $ruler->set_metric ($metric)

•   $metric (Gtk2::MetricType)

  (lower, upper, position, max_size) = $ruler->get_range

  $ruler->set_range ($lower, $upper, $position, $max_size)

•   $lower (double)

•   $upper (double)

•   $position (double)

•   $max_size (double)

PROPERTIES

'lower' (double : default 0 : readable / writable / private / static-nick / static-blurb)
    Lower limit of ruler

'max-size' (double : default 0 : readable / writable / private / static-nick / static-blurb)
    Maximum size of the ruler

'metric' (Gtk2::MetricType : default "pixels" : readable / writable / private / static-nick / static-blurb)
    The metric used for the ruler

'position' (double : default 0 : readable / writable / private / static-nick / static-blurb)
    Position of mark on the ruler

'upper' (double : default 0 : readable / writable / private / static-nick / static-blurb)
    Upper limit of ruler

ENUMS AND FLAGS

  enum Gtk2::MetricType

•   'pixels' / 'GTK_PIXELS'

•   'inches' / 'GTK_INCHES'

•   'centimeters' / 'GTK_CENTIMETERS'

SEE ALSO
Gtk2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::Widget

COPYRIGHT
Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.